package com.xy.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.util.Map;


@Data
@Accessors(chain = true)
public class SmsSendCommonDTO {

    @NotBlank(message = "手机号不能为空")
    private String mobile;

    @NotNull(message = "发送场景不能为空")
    private Integer scene;


    @NotNull(message = "手机号不能为空")
    @ApiModelProperty(value = "消息配置ID")
    private Long msgConfigId;

    @ApiModelProperty(value = "用户ID")
    private Long userInfoId;
    @NotNull(message = "业务参数不可为空")
    @ApiModelProperty("模板业务参数(消息中心-消息配置-列表查看)")
    private Map<String, Object> templateParams;


    /**
     * 签名
     */
    @ApiModelProperty(value = "短信签名")
    private String signName;


}
