package com.xy.enums;


import lombok.AllArgsConstructor;
import lombok.Getter;
import lombok.ToString;

/**
 * 文件导出类型
 *
 * @author 谭斌
 */
@Getter
@ToString
@AllArgsConstructor
public enum MsgConfigId {


    DEVICE_EXCEPTION(12L, "设备故障提醒"),
    CUT_ORDER(13L, "补扣成功通知"),
    RISK_ORDER(14L, "异常订单通知"),
    SMS_CODE(15L, "短信验证码"),
    STOCK_NOTIFY(16L, "库存预警"),
    FEE_NOTIFY(17L, "费用提醒"),
    SIM_CARD_TO_PAY_NOTIFY(19L, "流量卡待缴费提醒"),
    SMS_NOTIFY_C1(20L, "喵星人C端短信通知-未支付"),
    SMS_NOTIFY_C2(21L, "喵星人C端短信通知-补单"),
    SMS_NOTIFY_CM22(22L, "创米C端短信通知-补单"),
    SMS_NOTIFY_CM23(23L, "创米C端短信通知-未支付"),

    CM_RISK_ORDER(24L, "创米-异常订单通知"),
    CM_DEVICE_EXCEPTION(25L, "创米-设备故障提醒"),
    CM_CUT_ORDER(26L, "创米-补扣成功通知"),
    CM_STOCK_NOTIFY(27L, "创米-库存预警"),
    CM_FEE_NOTIFY(28L, "创米-费用提醒"),

    ;

    /**
     * 编码值
     */
    private Long id;

    /**
     * 描述
     */
    private String description;


    /**
     * 通过id获取enum
     *
     * @param id
     * @return
     */
    public static MsgConfigId getEnumById(String id) {
        MsgConfigId[] values = values();
        for (MsgConfigId value : values) {
            if (value.getId().equals(id)) {
                return value;
            }
        }
        return null;
    }
}
